_SETTINGS:SetPlayerMenuOff()

local airbossTarawa=AIRBOSS:New("USS Tarawa")

airbossTarawa:AddRecoveryWindow("00:30", "01:00", 3, 0, true, 15, false)
airbossTarawa:AddRecoveryWindow("01:30", "02:00", 3, 0, true, 15, false)
airbossTarawa:AddRecoveryWindow("02:30", "03:00", 3, 0, true, 15, false)
airbossTarawa:AddRecoveryWindow("03:30", "04:00", 3, 0, true, 15, false)
airbossTarawa:AddRecoveryWindow("04:30", "05:00", 3, 0, true, 15, false)
airbossTarawa:AddRecoveryWindow("05:30", "06:00", 3, 0, true, 15, false)
airbossTarawa:AddRecoveryWindow("06:30", "07:00", 1, nil, true, 15, false)
airbossTarawa:AddRecoveryWindow("07:30", "08:00", 1, nil, true, 15, false)
airbossTarawa:AddRecoveryWindow("08:30", "09:00", 1, nil, true, 15, false)
airbossTarawa:AddRecoveryWindow("09:30", "10:00", 1, nil, true, 15, false)
airbossTarawa:AddRecoveryWindow("10:30", "11:00", 1, nil, true, 15, false)
airbossTarawa:AddRecoveryWindow("11:30", "12:00", 1, nil, true, 15, false)
airbossTarawa:AddRecoveryWindow("12:30", "13:00", 1, nil, true, 15, false)
airbossTarawa:AddRecoveryWindow("13:30", "14:00", 1, nil, true, 15, false)
airbossTarawa:AddRecoveryWindow("14:30", "15:00", 1, nil, true, 15, false)
airbossTarawa:AddRecoveryWindow("15:30", "16:00", 1, nil, true, 15, false)
airbossTarawa:AddRecoveryWindow("16:30", "17:00", 1, nil, true, 15, false)
airbossTarawa:AddRecoveryWindow("17:30", "18:00", 1, nil, true, 15, false)
airbossTarawa:AddRecoveryWindow("18:30", "19:00", 1, nil, true, 15, false)
airbossTarawa:AddRecoveryWindow("19:30", "20:00", 3, 0, true, 15, false)
airbossTarawa:AddRecoveryWindow("20:30", "21:00", 3, 0, true, 15, false)
airbossTarawa:AddRecoveryWindow("21:30", "22:00", 3, 0, true, 15, false)
airbossTarawa:AddRecoveryWindow("22:30", "23:00", 3, 0, true, 15, false)
airbossTarawa:AddRecoveryWindow("23:30", "00:00+1", 3, 0, true, 15, false)

airbossTarawa:SetSoundfilesFolder("Airboss Soundfiles/")
airbossTarawa:SetDespawnOnEngineShutdown()

airbossTarawa:SetMaxFlightsPerStack(1)
airbossTarawa:SetMaxMarshalStacks(15)
airbossTarawa:SetMaxSectionSize(4)
airbossTarawa:SetLSORadio(138.300)
airbossTarawa:SetMarshalRadio(132.200)
airbossTarawa:SetICLS(12)
airbossTarawa:SetTACAN(75,"X")
airbossTarawa:SetHandleAIOFF()
airbossTarawa:SetDefaultPlayerSkill(AIRBOSS.Difficulty.Normal)
airbossTarawa:SetAirbossNiceGuy(true)
airbossTarawa:SetEmergencyLandings(true)
airbossTarawa:SetPatrolAdInfinitum(true)

airbossTarawa:Start()

-- --- Function called when a player gets graded by the LSO.
-- function airbossTarawa:OnAfterLSOGrade(From, Event, To, playerData, grade)
--   local PlayerData=playerData --Ops.Airboss#AIRBOSS.PlayerData
--   local Grade=grade --Ops.Airboss#AIRBOSS.LSOgrade

--   ----------------------------------------
--   --- Interface your Discord bot here! ---
--   ----------------------------------------
  
--   local score=tonumber(Grade.points)
--   local name=tostring(PlayerData.name)
  
--   -- Report LSO grade to dcs.log file.
--   env.info(string.format("Player %s scored %.1f", name, score))
-- end
